- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_svc_grp_ctx.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_svc_ctx.h>`
`#include <axis2_svc_grp.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_svc_grp_ctx | axis2_svc_grp_ctx_t
## Functions
AXIS2_EXTERN axis2_svc_grp_ctx_t * | axis2_svc_grp_ctx_create (const axutil_env_t *env, struct axis2_svc_grp *svc_grp, struct axis2_conf_ctx *conf_ctx)
AXIS2_EXTERN axis2_ctx_t * | axis2_svc_grp_ctx_get_base (const axis2_svc_grp_ctx_t *svc_grp_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_conf_ctx * | axis2_svc_grp_ctx_get_parent (const axis2_svc_grp_ctx_t *svc_grp_ctx, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_svc_grp_ctx_free (struct axis2_svc_grp_ctx *svc_grp_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svc_grp_ctx_init (struct axis2_svc_grp_ctx *svc_grp_ctx, const axutil_env_t *env, struct axis2_conf *conf)
AXIS2_EXTERN const axis2_char_t * | axis2_svc_grp_ctx_get_id (const axis2_svc_grp_ctx_t *svc_grp_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svc_grp_ctx_set_id (struct axis2_svc_grp_ctx *svc_grp_ctx, const axutil_env_t *env, const axis2_char_t *id)
AXIS2_EXTERN struct axis2_svc_ctx * | axis2_svc_grp_ctx_get_svc_ctx (const axis2_svc_grp_ctx_t *svc_grp_ctx, const axutil_env_t *env, const axis2_char_t *svc_name)
AXIS2_EXTERN axis2_status_t | axis2_svc_grp_ctx_fill_svc_ctx_map (struct axis2_svc_grp_ctx *svc_grp_ctx, const axutil_env_t *env)
AXIS2_EXTERN struct axis2_svc_grp * | axis2_svc_grp_ctx_get_svc_grp (const axis2_svc_grp_ctx_t *svc_grp_ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_svc_grp_ctx_get_svc_ctx_map (const axis2_svc_grp_ctx_t *svc_grp_ctx, const axutil_env_t *env)

## Detailed Description